VERSION 4.00
Begin VB.Form frmBandit 
   BackColor       =   &H00FFC0C0&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "One-Armed Bandit"
   ClientHeight    =   3720
   ClientLeft      =   3105
   ClientTop       =   1890
   ClientWidth     =   5820
   ControlBox      =   0   'False
   Height          =   4140
   Left            =   3045
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3720
   ScaleWidth      =   5820
   Top             =   1530
   Width           =   5940
   Begin VB.Timer timStop 
      Enabled         =   0   'False
      Interval        =   1500
      Left            =   4560
      Top             =   3120
   End
   Begin VB.Frame fraBandit 
      BackColor       =   &H00FF0000&
      Caption         =   "Bankroll $100"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   14.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   -1  'True
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H0000FFFF&
      Height          =   2895
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   5535
      Begin VB.CommandButton cmdSpin 
         Caption         =   "&Spin It"
         Default         =   -1  'True
         BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
            Name            =   "MS Sans Serif"
            Size            =   9.75
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   495
         Left            =   2040
         TabIndex        =   5
         Top             =   2280
         Width           =   1455
      End
      Begin VB.PictureBox picBandit 
         BackColor       =   &H00FFFFC0&
         Height          =   1695
         Index           =   2
         Left            =   3720
         ScaleHeight     =   1635
         ScaleWidth      =   1635
         TabIndex        =   4
         Top             =   480
         Width           =   1695
      End
      Begin VB.PictureBox picBandit 
         BackColor       =   &H00FFFFC0&
         Height          =   1695
         Index           =   1
         Left            =   1920
         ScaleHeight     =   1635
         ScaleWidth      =   1635
         TabIndex        =   3
         Top             =   480
         Width           =   1695
      End
      Begin VB.PictureBox picBandit 
         BackColor       =   &H00FFFFC0&
         Height          =   1695
         Index           =   0
         Left            =   120
         ScaleHeight     =   1635
         ScaleWidth      =   1635
         TabIndex        =   2
         Top             =   480
         Width           =   1695
      End
   End
   Begin VB.Timer timSpin 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   3960
      Top             =   3120
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   2160
      TabIndex        =   0
      Top             =   3120
      Width           =   1455
   End
   Begin VB.Image imgChoice 
      Height          =   300
      Index           =   5
      Left            =   1800
      Picture         =   "Bandit.frx":0000
      Stretch         =   -1  'True
      Top             =   3120
      Visible         =   0   'False
      Width           =   300
   End
   Begin VB.Image imgChoice 
      Height          =   320
      Index           =   4
      Left            =   1440
      Picture         =   "Bandit.frx":61C2
      Stretch         =   -1  'True
      Top             =   3120
      Visible         =   0   'False
      Width           =   320
   End
   Begin VB.Image imgChoice 
      Height          =   300
      Index           =   3
      Left            =   1080
      Picture         =   "Bandit.frx":70A4
      Stretch         =   -1  'True
      Top             =   3120
      Visible         =   0   'False
      Width           =   300
   End
   Begin VB.Image imgChoice 
      Height          =   300
      Index           =   2
      Left            =   720
      Picture         =   "Bandit.frx":12886
      Stretch         =   -1  'True
      Top             =   3120
      Visible         =   0   'False
      Width           =   300
   End
   Begin VB.Image imgChoice 
      Height          =   300
      Index           =   1
      Left            =   360
      Picture         =   "Bandit.frx":14D08
      Stretch         =   -1  'True
      Top             =   3120
      Visible         =   0   'False
      Width           =   300
   End
   Begin VB.Image imgChoice 
      Height          =   300
      Index           =   0
      Left            =   0
      Picture         =   "Bandit.frx":1548A
      Stretch         =   -1  'True
      Top             =   3120
      Visible         =   0   'False
      Width           =   300
   End
End
Attribute VB_Name = "frmBandit"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit
Dim Bankroll As Integer
Dim Final(2) As Integer
Dim SpinSound As String, Spinning(2) As Boolean, Active As Integer
Dim NoWin As String, Win As String, Jackpot As String
Const LEMON = 0
Const CHERRY = 1
Const ORANGE = 2
Const PLUM = 3
Const BELL = 4
Const STAR = 5

Private Sub cmdExit_Click()
MsgBox "You ended up with" + Str(Bankroll) + " dollars.", vbOKOnly, "Game Over"
Unload frmBandit
frmMenu.Show
End Sub

Private Sub cmdSpin_Click()
If Bankroll = 0 Then
  MsgBox "Out of Cash!", vbOKOnly, "Game Over"
  Unload frmBandit
  frmMenu.Show
End If
Bankroll = Bankroll - 1
Active = 0
Spinning(0) = True
Spinning(1) = True
Spinning(2) = True
timSpin.Enabled = True
timStop.Enabled = True
End Sub

Private Sub Form_Activate()
cmdSpin.SetFocus
End Sub

Private Sub Form_Load()
Randomize
Bankroll = 100 'Start with 100 dollars
'center form
Left = 0.5 * (Screen.Width - Width)
Top = 0.5 * (Screen.Height - Height)
'Put random pictures in display
picBandit(0).Picture = imgChoice(Int(Rnd * 6)).Picture
picBandit(1).Picture = imgChoice(Int(Rnd * 6)).Picture
picBandit(2).Picture = imgChoice(Int(Rnd * 6)).Picture
SpinSound = GetSound("spin.wav")
NoWin = GetSound("uhoh.wav")
Win = GetSound("tada.wav")
Jackpot = GetSound("jackpot.wav")
End Sub





Private Sub timSpin_Timer()
Dim I As Integer
'Randomly display pictures
'play spin sound
sndPlaySound SpinSound, SND_ASYNC Or SND_MEMORY
fraBandit.Caption = "Spinning ..."
For I = 0 To 2
  If Spinning(I) Then
    picBandit(I).Picture = imgChoice(Int(Rnd * 6)).Picture
  End If
Next I
End Sub


Private Sub timStop_Timer()
Dim Winnings As Integer
'Stop spinning
Spinning(Active) = False
Final(Active) = Int(Rnd * 6)
picBandit(Active).Picture = imgChoice(Final(Active)).Picture
If Active <> 2 Then
  Active = Active + 1
  Exit Sub
End If
timSpin.Enabled = False
timStop.Enabled = False
'Check for Winnings
If Final(0) = CHERRY Then
  Winnings = 2
  If Final(1) = CHERRY Then
    Winnings = 4
    If Final(2) = CHERRY Then
      Winnings = 6
    End If
  End If
ElseIf Final(0) = ORANGE And Final(1) = ORANGE And Final(2) = ORANGE Then
  Winnings = 10
ElseIf Final(0) = PLUM And Final(1) = PLUM And Final(2) = PLUM Then
  Winnings = 20
ElseIf Final(0) = BELL And Final(1) = BELL And Final(2) = BELL Then
  Winnings = 30
ElseIf Final(0) = STAR And Final(1) = STAR And Final(2) = STAR Then
  Winnings = 50
End If
Bankroll = Bankroll + Winnings
If Winnings = 50 Then
  fraBandit.Caption = "Jackpot! Won $50"
  sndPlaySound Jackpot, SND_SYNC Or SND_MEMORY
ElseIf Winnings > 0 Then
  fraBandit.Caption = "Won $" + Format(Winnings, "0")
  sndPlaySound Win, SND_SYNC Or SND_MEMORY
Else
  fraBandit.Caption = "Sorry"
  sndPlaySound NoWin, SND_SYNC Or SND_MEMORY
End If
fraBandit.Caption = fraBandit.Caption + " - Bankroll $" + Format(Bankroll, "0")
End Sub


