VERSION 4.00
Begin VB.Form frmMileagePlot 
   BackColor       =   &H00FFC0C0&
   Caption         =   "Gas Mileage Plot"
   ClientHeight    =   3045
   ClientLeft      =   1140
   ClientTop       =   1545
   ClientWidth     =   4920
   ControlBox      =   0   'False
   Height          =   3465
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   3045
   ScaleWidth      =   4920
   Top             =   1185
   Width           =   5040
   Begin VB.PictureBox Picture1 
      BackColor       =   &H00FFFFFF&
      Height          =   495
      Left            =   720
      ScaleHeight     =   435
      ScaleWidth      =   1635
      TabIndex        =   4
      Top             =   2400
      Width           =   1695
      Begin VB.Line Line1 
         BorderColor     =   &H00FF0000&
         X1              =   120
         X2              =   840
         Y1              =   120
         Y2              =   120
      End
      Begin VB.Line Line2 
         BorderColor     =   &H000000FF&
         X1              =   120
         X2              =   840
         Y1              =   315
         Y2              =   315
      End
      Begin VB.Label Label4 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Recent Overall"
         BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
            Name            =   "Arial"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Left            =   960
         TabIndex        =   5
         Top             =   0
         Width           =   975
      End
   End
   Begin VB.CommandButton cmdDonePlot 
      Caption         =   "&Done"
      Height          =   495
      Left            =   3360
      TabIndex        =   1
      Top             =   2400
      Width           =   1215
   End
   Begin VB.PictureBox picPlot 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      Height          =   2175
      Left            =   690
      ScaleHeight     =   2115
      ScaleWidth      =   3915
      TabIndex        =   0
      Top             =   120
      Width           =   3975
   End
   Begin VB.Label lblMax 
      Alignment       =   1  'Right Justify
      AutoSize        =   -1  'True
      BackColor       =   &H00FFC0C0&
      Caption         =   "Label4"
      Height          =   195
      Left            =   0
      TabIndex        =   3
      Top             =   0
      Width           =   585
   End
   Begin VB.Label lblMin 
      Alignment       =   1  'Right Justify
      AutoSize        =   -1  'True
      BackColor       =   &H00FFC0C0&
      Caption         =   "26.5"
      Height          =   195
      Left            =   195
      TabIndex        =   2
      Top             =   2160
      Width           =   390
   End
End
Attribute VB_Name = "frmMileagePlot"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdDonePlot_Click()
Unload frmMileagePlot
frmMileage.Show
End Sub

Private Sub Form_Activate()
'Plot mileage values
Dim I As Integer
Dim Ymin As Integer, Ymax As Integer
Ymin = Val(RecentMileage(2)): Ymax = Ymin
For I = 2 To NumValues
  If RecentMileage(I) < Ymin Then Ymin = RecentMileage(I)
  If RecentMileage(I) > Ymax Then Ymax = RecentMileage(I)
Next I
For I = 2 To NumValues
  If OverallMileage(I) < Ymin Then Ymin = OverallMileage(I)
  If OverallMileage(I) > Ymax Then Ymax = OverallMileage(I)
Next I
Ymin = (1 - 0.05 * Sgn(Ymin)) * Ymin
Ymax = (1 + 0.05 * Sgn(Ymax)) * Ymax
lblMin.Caption = Format(Ymin, "0.0")
lblMax.Caption = Format(Ymax, "0.0")
picPlot.Scale (2, Ymax)-(NumValues, Ymin)
picPlot.Cls
picPlot.PSet (2, RecentMileage(2)), vbBlue
For I = 2 To NumValues
  picPlot.Line -(I, RecentMileage(I)), vbBlue
Next I
picPlot.PSet (2, OverallMileage(2)), vbRed
For I = 2 To NumValues
  picPlot.Line -(I, OverallMileage(I)), vbRed
Next I
End Sub

Private Sub Form_Load()
'Center form
Left = 0.5 * (Screen.Width - Width)
Top = 0.5 * (Screen.Height - Height)
End Sub


