VERSION 4.00
Begin VB.Form frmStopwatch 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Stopwatch"
   ClientHeight    =   2745
   ClientLeft      =   2670
   ClientTop       =   2565
   ClientWidth     =   2940
   ControlBox      =   0   'False
   Height          =   3165
   Icon            =   "Stopwatch.frx":0000
   Left            =   2610
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2745
   ScaleWidth      =   2940
   Top             =   2205
   Width           =   3060
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   840
      TabIndex        =   3
      Top             =   2160
      Width           =   1215
   End
   Begin VB.Timer timDisplay 
      Enabled         =   0   'False
      Interval        =   100
      Left            =   240
      Top             =   2160
   End
   Begin VB.CommandButton cmdReset 
      Caption         =   "&Reset"
      Enabled         =   0   'False
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   1560
      TabIndex        =   2
      Top             =   1560
      Width           =   1215
   End
   Begin VB.CommandButton cmdStartStop 
      Caption         =   "&Start"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   1560
      Width           =   1215
   End
   Begin VB.Label lblTotal 
      Alignment       =   2  'Center
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "00:00:00.0"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   24
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   615
      Left            =   120
      TabIndex        =   4
      Top             =   840
      Width           =   2655
   End
   Begin VB.Label lblElapsed 
      Alignment       =   2  'Center
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "00:00:00.0"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   24
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2655
   End
End
Attribute VB_Name = "frmStopwatch"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit
Dim StartTime As Long ' Time when Start clicked
Dim StopTime As Long 'Time when Stop clicked
Dim StoppedTime As Long 'amount of time timer is stopped
Dim Reset As Boolean 'True if new timing

Private Sub cmdExit_Click()
'Return to main menu program
Unload frmStopwatch
frmMenu.Show
End Sub

Private Sub cmdReset_Click()
'Reset displays to zero
Reset = True
lblElapsed.Caption = "00:00:00.0"
lblTotal.Caption = "00:00:00.0"
'Disable Reset
cmdReset.Enabled = False
End Sub

Private Sub cmdStartStop_Click()
'Starting or restarting timer?
If cmdStartStop.Caption = "&Start" Then
  cmdReset.Enabled = False
  cmdExit.Enabled = False
  'Reset caption on Start/Stop button
  cmdStartStop.Caption = "&Stop"
  'Start timer and get starting time
  If Reset Then
    Reset = False
    StartTime = GetTickCount
    StoppedTime = 0
  Else
    StoppedTime = StoppedTime + GetTickCount - StopTime
  End If
  timDisplay.Enabled = True
Else
  'Stop timer
  StopTime = GetTickCount
  timDisplay.Enabled = False
  'Disable Start/Stop button, enable Reset button
  cmdStartStop.Caption = "&Start"
  cmdReset.Enabled = True
  cmdExit.Enabled = True
End If
End Sub




Private Sub Form_Load()
'Center form
Left = 0.5 * (Screen.Width - Width)
Top = 0.5 * (Screen.Height - Height)
Reset = True
End Sub

Private Sub timDisplay_Timer()
Dim CurrentTime As Long
'Determine elapsed and total times
CurrentTime = GetTickCount
'Display times
lblElapsed.Caption = HMS(CurrentTime - StartTime - StoppedTime)
lblTotal.Caption = HMS(CurrentTime - StartTime)
End Sub


Private Function HMS(Tms As Long) As String
Dim H As Integer, m As Integer, S As Single
Dim T As Single
T = Tms / 1000
'Break time down into hours, minutes, and seconds
H = Int(T / 3600)
m = Int((T - H * 3600) / 60)
S = T - H * 3600 - m * 60
'Format time as string
HMS = Format(H, "00") & ":" & Format(m, "00") & ":" & Format(S, "00.0")
End Function

